# 38. Query: „UserData“ abrufen

Hole die "UserData" des autorisierten Benutzers.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query getUserData {
  getUserData {
    uuid
    E-Mail
    Gesamtfläche
    MaximaleFläche
    Flächeneinheit
    Sprache
    API-Schlüssel
    AnzahlBodenDatasetKlassen
    Organisationen {
      uuid
      name
      Nachname
      Vorname
      E-Mail
      Telefon
      Erstellungsdatum
      updatedDate
      Benutzer {
        OrganisationUuid
        userUuid
        E-Mail
        alleHöfe
        Erstellungsdatum
        updatedDate
        Höfe {
          uuid
          userUuid
          name
          Erstellungsdatum
          updatedDate
          farmOwnership
          E-Mail
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/uberblick-uber-geopard-api-anfragen/38.-query-userdata-abrufen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
